POST
/ai_labs/organization/{Organization_Id}/group/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/group/?location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "tag": "group-25102716406", "allowed_plans": [ { "plan_id": 7, "plan_name": "GDC.H100.80g.26.250GB_SXM", "max_instances": 1 } ], "policies": [ { "service_id": "notebook", "create": true, "read": true, "update": true, "delete": true } ]}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/group/", params={"location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "tag": "group-25102716406", "allowed_plans": [ { "plan_id": 7, "plan_name": "GDC.H100.80g.26.250GB_SXM", "max_instances": 1, }, ], "policies": [ { "service_id": "notebook", "create": True, "read": True, "update": True, "delete": True, }, ], },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/group/");url.search = new URLSearchParams({ location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "tag": "group-25102716406", "allowed_plans": [ { "plan_id": 7, "plan_name": "GDC.H100.80g.26.250GB_SXM", "max_instances": 1 } ], "policies": [ { "service_id": "notebook", "create": true, "read": true, "update": true, "delete": true } ] }),});console.log(await response.json());Note: AI Labs is currently available only in the Delhi region.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization_Id
required
integer
Organization ID
Query Parameters
Section titled “Query Parameters”location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
tag
required
Unique tag for the group
string
Example
group-25102716406allowed_plans
List of allowed plans for the group with max instances
Array<object>
object
plan_id
integer
Example
7plan_name
string
Example
GDC.H100.80g.26.250GB_SXMmax_instances
integer
Example
1policies
List of service policies with CRUD permissions
Array<object>
object
service_id
string
Example
notebookcreate
boolean
Example
trueread
boolean
Example
trueupdate
boolean
Example
truedelete
boolean
Example
trueResponses
Section titled “Responses”Successfully created a group
Media typeapplication/json
object
code
integer
data
object
id
integer
allowed_plans
Array<object>
object
plan_id
integer
plan_name
string
max_instances
integer
policies
Array<object>
object
id
integer
name
string
description
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
services
Array<object>
object
permissions
integer
service
object
service_id
string
alias_name
string
description
string
tag
string
created_by
object
id
integer
name
string
email
string format: email
username
string
errors
object
message
string
Example
{ "code": 201, "data": { "id": 57, "allowed_plans": [ { "plan_id": 1, "plan_name": "GDC.H100.5g.3.9GB_SXM", "max_instances": 1 } ], "policies": [ { "id": 365, "name": "AI_Labs_Policy_a14e8", "description": "AI_Labs_Policy_Description_57", "created_by": { "id": 7483, "name": "test", "email": "test@gmail.com", "username": "test@gmail.com" }, "created_at": "2025-10-28T07:04:46.805475Z", "updated_at": "2025-10-28T07:04:46.805504Z", "services": [ { "permissions": 15, "service": { "service_id": "notebook", "alias_name": "Node", "description": "notebook" } } ] } ], "tag": "group-251028123437", "created_by": { "id": 7483, "name": "test", "email": "test@gmail.com", "username": "test@gmail.com" } }, "errors": {}, "message": "Created Successfully"}